%define module	django-mptt

Name:		python-%{module}
Version:	0.16.0
Release:	%mkrel 2
Summary:	Utilities for implementing Modified Preorder Tree Traversal
License:	BSD
Group:		Development/Python
URL:		https://github.com/django-mptt/django-mptt/
Source0:	https://pypi.io/packages/source/d/%{module}/django_mptt-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.

#---------------------------------------------------------------------------

%package -n	python3-%{module}
Summary:	Utilities for implementing Modified Preorder Tree Traversal
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(django) >= 1.11
BuildRequires:	python3dist(hatchling)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Utilities for implementing Modified Preorder Tree Traversal (MPTT)
with your Django Model classes and working with trees of Model instances.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n django_mptt-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{module}
%doc README.rst
%license LICENSE
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/mptt/*py*
%{python3_sitelib}/mptt/static/
%{python3_sitelib}/mptt/templates/
%{python3_sitelib}/mptt/templatetags/
%{python3_sitelib}/django_mptt-%{version}.dist-info
%exclude %{python3_sitelib}/tests/
# locale files
%lang(da) %{python3_sitelib}/mptt/locale/da/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/mptt/locale/de/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/mptt/locale/es/LC_MESSAGES/django.?o
%lang(es_AR) %{python3_sitelib}/mptt/locale/es_AR/LC_MESSAGES/django.?o
%lang(fi) %{python3_sitelib}/mptt/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/mptt/locale/fr/LC_MESSAGES/django.?o
%lang(hu) %{python3_sitelib}/mptt/locale/hu/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/mptt/locale/it/LC_MESSAGES/django.?o
%lang(mn) %{python3_sitelib}/mptt/locale/mn/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/mptt/locale/nb/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/mptt/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/mptt/locale/pt_BR/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/mptt/locale/ru/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/mptt/locale/uk/LC_MESSAGES/django.?o
%lang(zh_Hans) %{python3_sitelib}/mptt/locale/zh_Hans/LC_MESSAGES/django.?o
%lang(zh_Hant) %{python3_sitelib}/mptt/locale/zh_Hant/LC_MESSAGES/django.?o


%changelog
* Mon Mar 03 2025 wally <wally> 0.16.0-2.mga10
+ Revision: 2159685
- rebuild for python3.13

* Sat Jan 20 2024 daviddavid <daviddavid> 0.16.0-1.mga10
+ Revision: 2032416
- new version: 0.16.0

* Tue Dec 19 2023 papoteur <papoteur> 0.15.0-2.mga10
+ Revision: 2019341
- Mass Rebuild - Python 3.12

* Sun Oct 01 2023 daviddavid <daviddavid> 0.15.0-1.mga10
+ Revision: 1992788
- new version: 0.15.0
- switch to pyproject

* Tue Jan 10 2023 daviddavid <daviddavid> 0.14.0-1.mga9
+ Revision: 1932149
- new version: 0.14.0

* Tue Mar 29 2022 umeabot <umeabot> 0.13.4-2.mga9
+ Revision: 1833349
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.13.4-1.mga9
+ Revision: 1785092
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.12.0-1.mga9
+ Revision: 1707700
- new version: 0.12.0
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.11.0-3.mga8
+ Revision: 1608265
- rebuild for removing pythonegg buildrequires in srpm

* Wed Feb 19 2020 umeabot <umeabot> 0.11.0-2.mga8
+ Revision: 1543927
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 0.11.0-1.mga8
+ Revision: 1482397
- new version: 0.11.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.10.0-2.mga8
+ Revision: 1441332
- rebuild for python3.8

* Mon Jul 15 2019 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1421510
- new version: 0.10.0
- drop support for Python 2 (removed upstream)

* Fri Mar 01 2019 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1370913
- new version: 0.9.1

* Fri Jan 11 2019 daviddavid <daviddavid> 0.9.0-3.mga7
+ Revision: 1354920
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1288692
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1191249
- new version: 0.9.0
- rename python-django-mptt to python2-django-mptt

* Sat Aug 05 2017 pterjan <pterjan> 0.8.6-2.mga7
+ Revision: 1135383
- Rebuild for python 3.6

* Mon Nov 28 2016 daviddavid <daviddavid> 0.8.6-1.mga6
+ Revision: 1070570
- new version: 0.8.6

* Wed May 04 2016 daviddavid <daviddavid> 0.8.4-1.mga6
+ Revision: 1009421
- new version: 0.8.4

* Fri Mar 04 2016 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 985448
- new version: 0.8.3
- update files list

* Mon Dec 21 2015 daviddavid <daviddavid> 0.8.0-1.mga6
+ Revision: 913207
- new version: 0.8.0
- update file list (add lang es_AR)

* Wed Oct 07 2015 daviddavid <daviddavid> 0.7.4-2.mga6
+ Revision: 886817
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 0.7.4-1.mga6
+ Revision: 837910
- new version: 0.7.4
- add more docs and locale files

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-3.mga5
+ Revision: 742572
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 umeabot <umeabot> 0.6.1-2.mga5
+ Revision: 725922
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 daviddavid <daviddavid> 0.6.1-1.mga5
+ Revision: 630477
- remove previous Patch0 as it is fixed on upstream source
- new version: 0.6.1

* Sat May 31 2014 pterjan <pterjan> 0.6.0-5.mga5
+ Revision: 628573
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 0.6.0-4.mga5
+ Revision: 618004
- fix rpmlint warning: "file-not-in-%%lang"
- fix list some files explicitly to avoid listing locale files twice
- update URL
- update doc files
- add support of python 3
- add Patch0 to fix runtests script on %%check section (and needed python-django14)
- remove unneeded BR on python-devel

* Tue Oct 22 2013 umeabot <umeabot> 0.6.0-3.mga4
+ Revision: 543410
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.0-2.mga4
+ Revision: 498373
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Oct 10 2013 nmartin <nmartin> 0.6.0-1.mga4
+ Revision: 494910
- Update to new version 0.6.0

* Mon Jun 03 2013 kharec <kharec> 0.5.5-1.mga4
+ Revision: 436230
- update to 0.5.5
- fix source0 as upstream now use tar.gz

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 378680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 06 2011 misc <misc> 0.4.2-1.mga1
+ Revision: 95247
- imported package python-django-mptt


* Fri May 06 2011 Michael Scherer <misc@zarb.org> - 0.4.2-1.mga
- adapt from Fedora to Mageia
- rename it
- remove specific macro from Fedora

* Mon Nov 29 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.2-2
- removed redundant comments from spec


* Sun Nov 28 2010 Clint Savage <herlo@fedorapeople.org> - 0.4.2-1
- Updated the package to 0.4.2 and removed a couple unneeded lines from the spec

* Thu Oct 21 2010 Dave Riches <dcr226@fedorapeople.org> - 0.4.1-1
- Packaged for Fedora

